package model

type EventFrozenSemenLog struct {
	Id            int64  `json:"id"`
	BullId        string `json:"bull_id"`
	CowId         int64  `json:"cow_id"`
	StallNumberId int64  `json:"stall_number_id"`
	CreatedAt     int64  `json:"created_at"`
	UpdatedAt     int64  `json:"updated_at"`
}

func (e *EventFrozenSemenLog) TableName() string {
	return "event_frozen_semen_log"
}

func NewEventFrozenSemenLog(bullId string, cow *Cow, stallNumberId int64) *EventFrozenSemenLog {
	return &EventFrozenSemenLog{
		BullId:        bullId,
		CowId:         cow.Id,
		StallNumberId: stallNumberId,
	}
}
